export default QuoteLayout;
declare class QuoteLayout extends React.Component<any, any, any> {
    static propTypes: {
        mids: PropTypes.Requireable<any[]>;
        isMe: PropTypes.Requireable<boolean>;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        quoteMessage: null;
        showQuote: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    addObserve(): void;
    removeObserve: () => void;
    handleMessageChanged: (msgList: any) => void;
    stringifyContent: () => Promise<null | undefined>;
    render(): JSX.Element | null;
}
import React from "react";
import PropTypes from "prop-types";
